<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<#assign viewitems=view.getPSControls("pickupviewpanel",10)>
<#list viewitems as viewitem>
  <app-${ngfilename('${viewitem.getPSAppDEView().codeName}')} [viewParam]="viewParam" [modalViewParam]="modalViewParam" [modalZIndex]="modalZIndex" [currentValue]="$currentValue" [multiselect]="false" (selectChange)="selectChange($event)" (dataActivated)="DBLClickSelectChange($event)"></app-${ngfilename('${viewitem.getPSAppDEView().codeName}')}>
</#list>

<div class="mb-md text-right ibiz-pickup-view-bottom">
    <ng-container>
        <button nz-button [nzType]="'primary'" [nzSize]="'large'" [ngClass]="{'disabled': $selection.length != 1}" class="ml-sm" (click)="onClickOkButton()">确定</button>
    </ng-container>
    <ng-container>
        <button nz-button [nzType]="'default'" [nzSize]="'large'" class="ml-sm" (click)="onClickCancelButton('onCancel')">取消</button>
    </ng-container>
</div>