<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<div nz-row [nzGutter]="16" [ngClass]="{'ibiz-modal-view': isModal()}">
    <div nz-col [nzMd]="24">
        <nz-card [nzBordered]="false">
            <#if toolbar??>
            ${toolbar.code}
            </#if>
            <nz-tabset [(nzSelectedIndex)]="$defaultActiveTab">

                <ng-container *ngFor="let item of $tabs">
                    <nz-tab (nzSelect)="changeTab(item)">
                        <ng-template #nzTabHeading>
                            {{item.title}}
                        </ng-template>
                        <span>
                        </span>
                    </nz-tab>
                </ng-container>

            </nz-tabset>
            <router-outlet ></router-outlet>
        </nz-card>
    </div>
</div>