<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<div nz-row [nzGutter]="16" [ngClass]="{'ibiz-modal-view': isModal()}">
  <div nz-col [nzMd]="24">
    <nz-card [nzBordered]="false">

        <ng-template #title>
            <#if view.isShowCaptionBar() && view.getCaption()?? && view.getCaption() != ""><span>${view.getCaption()}：</span></#if>
            <span>{{$dataInfo}}&nbsp;&nbsp;</span>
        </ng-template>

      <#if form??>
        ${form.code}
      </#if>
    </nz-card>
    <div class="mb-md text-right">
      <ng-container>
        <button nz-button [nzType]="'primary'" [nzSize]="'large'" class="ml-sm" (click)="onClickOkButton()">确定</button>
      </ng-container>
      <ng-container>
        <button nz-button [nzType]="'default'" [nzSize]="'large'" class="ml-sm" (click)="onClickCancelButton()">取消</button>
      </ng-container>
    </div>
  </div>
</div>