<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

<#assign viewitems=view.getPSControls("pickupviewpanel",10)>
<#list viewitems as viewitem>
<#if viewitem.getPSAppDEView().isEmbeddedView()>
    <app-${ngfilename('${viewitem.getPSAppDEView().codeName}')} [viewParam]="viewParam" [modalViewParam]="modalViewParam" [modalZIndex]="modalZIndex" [multiselect]="false" (selectionChange)="${viewitem.name}.onSelectionChange($event)"  (dataActivated)="${viewitem.name}.onDataActivated($event)"></app-${ngfilename('${viewitem.getPSAppDEView().codeName}')}>
</#if>
</#list>

<div class="mb-md text-right ibiz-pickup-view-bottom">
    <ng-container>
        <button nz-button [nzType]="'primary'" [nzSize]="'large'" [ngClass]="{'disabled': !$isSelect }" class="ml-sm" (click)="onClickOkButton()">{{$okBtnText}}</button>
    </ng-container>
    <ng-container>
        <button nz-button [nzType]="'default'" [nzSize]="'large'" class="ml-sm" (click)="onClickCancelButton('onCancel')">{{$cancelBtnText}}</button>
    </ng-container>
</div>