<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>
 
<div nz-row [nzGutter]="16" [ngClass]="{'ibiz-modal-view': isModal()}">
    <div nz-col [nzMd]="24">
        <nz-card [nzBordered]="false">
            <#if (!view.isShowCaptionBar()) && (!view.isShowDataInfoBar())>
            <ng-template #title>
                <#if view.isShowCaptionBar() && view.getCaption()?? && view.getCaption() != ""><span>${view.getCaption()}：</span></#if>
                <#if view.isShowDataInfoBar()><span>{{$dataInfo}}&nbsp;&nbsp;</span></#if>
            </ng-template>
            </#if>
            <#if toolbar??>
            ${toolbar.code}
            </#if>
            <#if form??>
            ${form.code}
            </#if>
        </nz-card>
    </div>
</div>