<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#assign viewContorllerName = 'IBizIndexViewController'/>
<#ibizinclude>../../@MACRO/VIEW_CONTROLLER_BASE_HEADER.ftl</#ibizinclude>

    <#if view.getDefPSAppView()??>
    <#assign defView = view.getDefPSAppView()>
    /**
     * 默认加载视图
     *
     * @type {string}
     * @memberof ${view.codeName}ComponentBase
     */
    public defaultView: string = '${defView.getPSAppModule().getCodeName()?lower_case}_${defView.getCodeName()?lower_case}';
    </#if>

    /**
     * 设置主菜单状态
     *
     * @param {string} [align]
     * @memberof ${view.codeName}ComponentBase
     */
    public setMianMenuState(align?: string): void {
        super.setMianMenuState('${view.getMainMenuAlign()}');
    }
    <#if view.getPortalPSSysCounterRef()?? && view.getPortalPSSysCounterRef().getPSSysCounter()??>
    
    /**
     * 获取默认计数器名称
     *
     * @returns {string}
     * @memberof ${view.codeName}ComponentBase
     */
    public getDefaultUICounterName(): string {
        return '${view.getPortalPSSysCounterRef().getPSSysCounter().getCodeName()}';
    }
    </#if>

<#ibizinclude>../../@MACRO/VIEW_CONTROLLER_BASE_BOTTOM.ftl</#ibizinclude>