<#ibiztemplate>
PUBOBJ=Angular.PSAngularViewControllerCode
</#ibiztemplate>
<#ibizinclude>../../@MACRO/VIEW_SHELL_COMPONENT.ftl</#ibizinclude>

const ${view.codeName}shellRoutes = [
    {
        path: '',
        component: ${view.codeName}shellComponent,
        children: [
            {
                path: '',
                component: ${view.codeName}Component,
                children:[    
                    <#list ngstates as ngstate>
                    <#if ngstate.name?length gt 0 && ngstate.getPSAppView()??>
                    {
                        path: '${ngstate.name}',
                        loadChildren: '../../../pages/${ngfilename('${ngstate.getPSAppView().getPSAppModule().codeName}')}/${ngfilename('${ngstate.getPSAppView().codeName}')}/${ngfilename('${ngstate.getPSAppView().codeName}')}shell.module#${ngstate.getPSAppView().codeName}shellModule',
                        data: { fullcaption: '<#if ngstate.getPSAppView().getCaption() != ''>${ngstate.getPSAppView().getCaption()}<#else>未命名</#if>', caption: '<#if ngstate.getPSAppView().getCaption() != ''>${ngstate.getPSAppView().getCaption()}<#else>未命名</#if>', view: '${ngstate.getPSAppView().getPSAppModule().codeName?lower_case}_${ngstate.getPSAppView().codeName?lower_case}', routerlink: '${ngstate.name}', showcaption: ${ngstate.getPSAppView().isShowCaptionBar()?c} }
                    },
                    </#if>
                    </#list>
                ]
            },
        ]
    },
    {
        path: '**',
        redirectTo: '',
        pathMatch: 'full'
    },
];

<#ibizinclude>../../@MACRO/VIEW_SHELL_MODULE.ftl</#ibizinclude>